## org.eclipse.amp.axf.view
Interface IModelPart

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable

All Known Implementing Classes:
  AGFViewPart, ChartViewPart, EditPartViewPart, GEF3DViewPart, GEFViewPart, GraphicsViewPart, GraphViewPart, ModelViewPart, TreeViewPart

    public interface IModelPart

extends org.eclipse.core.runtime.IAdaptable

The Interface IModelPart.

Method Summary
`void` `addModelListener(ILifeCycleListener view)` Adds the model listener.
`void` `createModelListeners()` Creates the model listeners.
`java.util.Collection<ILifeCycleListener>` `getModelListeners()` Gets the model listeners.
`void` `removeModelListener(ILifeCycleListener view)` Removes the model listener.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### createModelListeners

    void createModelListeners()

  Creates the model listeners.

### getModelListeners

    java.util.Collection<ILifeCycleListener> getModelListeners()

  Gets the model listeners.

  Returns:
    the model listeners

### addModelListener

    void addModelListener(ILifeCycleListener view)

  Adds the model listener.

  Parameters:
    `view` - the view

### removeModelListener

    void removeModelListener(ILifeCycleListener view)

  Removes the model listener.

  Parameters:
    `view` - the view